upstream sideplace_app_unicorn {
	server unix:/srv/www/web/sideplace_app/shared/tmp/unicorn.sock fail_timeout=0;
}

server {
        listen [::]:80;
        server_name blog.sideplace.com affiliation-sideplace.com affiliation.sideplace.com;
        root /srv/www/web/sideplace_app/current/public;
        try_files $uri/index.html $uri @unicorn;

        location @unicorn {
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                proxy_set_header Host $http_host;
                proxy_redirect off;
                proxy_pass http://sideplace_app_unicorn;
        proxy_read_timeout 20000;
        }

        error_page 500 502 503 504 /500.html;
        client_max_body_size 4G;
        keepalive_timeout 10;
        
        include snippets/letsencrypt.conf;
}

server {
    listen [::]:80;
    server_name sideplace.com www.sideplace.com sideplace.bally.me tmp.sideplace.com ;

    return 301 https://sideplace.com$request_uri;
    
}


server {

    listen [::]:443 ssl;

    server_name sideplace.com blog.sideplace.com affiliation-sideplace.com affiliation.sideplace.com;
    root /srv/www/web/sideplace_app/current/public;

    ssl on;
    #ssl_certificate /etc/nginx/ssl/one_voice_app/monserveur.crt;
    #ssl_certificate_key /etc/nginx/ssl/one_voice_app/monserveur.key;
    ssl_certificate /etc/letsencrypt/live/sideplace.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/sideplace.com/privkey.pem;


    try_files $uri/index.html $uri @unicorn;

    #access_log /var/log/nginx/YOUR_APP_NAME_access.log combined;
    #error_log /var/log/nginx/YOUR_APP_NAME_error.log;

    location @unicorn {
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        proxy_pass http://sideplace_app_unicorn;
        proxy_set_header   X-Forwarded-Proto https;
    }

    error_page 500 502 503 504 /500.html;
    client_max_body_size 4G;
    keepalive_timeout 10;
    
    include snippets/letsencrypt.conf;
}
